version: '3'

services:
  nginx:
    depends_on:
      - back
      - front
    restart: always
    build: ./nginx
    ports:
      - 80:80
  back:
    build: ./backend
    restart: always
    ports:
      - 8000:8000
    working_dir: /app
  front:
    build: ./frontend
    restart: always
    ports:
      - 3000:3000
    working_dir: /app